Foros del Web » Programando para Internet » Node.js »

Problema para trabajas con Express

Estas en el tema de Problema para trabajas con Express en el foro de Node.js en Foros del Web. hola amigos estoy iniciando en Node.js , y quiero instalar express pero no lo he logrado, estoy trabajando en centos 6, ya tengo instalado node.js ...
  #1 (permalink)  
Antiguo 15/04/2014, 11:51
 
Fecha de Ingreso: septiembre-2010
Mensajes: 1.852
Antigüedad: 9 años, 2 meses
Puntos: 6
Problema para trabajas con Express

hola amigos estoy iniciando en Node.js , y quiero instalar express pero no lo he logrado, estoy trabajando en centos 6, ya tengo instalado node.js
Código BASH:
Ver original
  1. # node --version
lo instale siguiendo estos pasos:https://github.com/joyent/node/wiki/...ackage-manager
  #2 (permalink)  
Antiguo 15/04/2014, 12:49
Avatar de vick90  
Fecha de Ingreso: abril-2010
Mensajes: 144
Antigüedad: 9 años, 7 meses
Puntos: 14
Respuesta: Problema para trabajas con Express

tan facil como poner
Código Javascript:
Ver original
  1. npm install express
o si no
Código Javascript:
Ver original
  1. sudo npm install express

Saludos
  #3 (permalink)  
Antiguo 15/04/2014, 13:34
 
Fecha de Ingreso: septiembre-2010
Mensajes: 1.852
Antigüedad: 9 años, 2 meses
Puntos: 6
Respuesta: Problema para trabajas con Express

vick90 gracias por responder, hice lo que me indicaste

Código BASH:
Ver original
  1. # npm install express
  2. npm http GET https://registry.npmjs.org/express
  3. npm http 304 https://registry.npmjs.org/express
  4. npm http GET https://registry.npmjs.org/type-is/1.0.0
  5. npm http GET https://registry.npmjs.org/range-parser/1.0.0
  6. npm http GET https://registry.npmjs.org/cookie/0.1.0
  7. npm http GET https://registry.npmjs.org/buffer-crc32/0.2.1
  8. npm http GET https://registry.npmjs.org/fresh/0.2.2
  9. npm http GET https://registry.npmjs.org/send/0.2.0
  10. npm http GET https://registry.npmjs.org/methods/0.1.0
  11. npm http GET https://registry.npmjs.org/cookie-signature/1.0.3
  12. npm http GET https://registry.npmjs.org/merge-descriptors/0.0.2
  13. npm http GET https://registry.npmjs.org/utils-merge/1.0.0
  14. npm http GET https://registry.npmjs.org/escape-html/1.0.1
  15. npm http GET https://registry.npmjs.org/qs/0.6.6
  16. npm http GET https://registry.npmjs.org/serve-static/1.0.1
  17. npm http GET https://registry.npmjs.org/path-to-regexp/0.1.2
  18. npm http GET https://registry.npmjs.org/debug
  19. npm http GET https://registry.npmjs.org/parseurl/1.0.1
  20. npm http GET https://registry.npmjs.org/accepts/1.0.0
  21. npm http 304 https://registry.npmjs.org/cookie/0.1.0
  22. npm http 304 https://registry.npmjs.org/buffer-crc32/0.2.1
  23. npm http 304 https://registry.npmjs.org/fresh/0.2.2
  24. npm http 304 https://registry.npmjs.org/range-parser/1.0.0
  25. npm http 304 https://registry.npmjs.org/methods/0.1.0
  26. npm http 304 https://registry.npmjs.org/send/0.2.0
  27. npm http 304 https://registry.npmjs.org/merge-descriptors/0.0.2
  28. npm http 304 https://registry.npmjs.org/cookie-signature/1.0.3
  29. npm http 304 https://registry.npmjs.org/qs/0.6.6
  30. npm http 304 https://registry.npmjs.org/utils-merge/1.0.0
  31. npm http 304 https://registry.npmjs.org/escape-html/1.0.1
  32. npm http 304 https://registry.npmjs.org/path-to-regexp/0.1.2
  33. npm http 304 https://registry.npmjs.org/debug
  34. npm http 304 https://registry.npmjs.org/serve-static/1.0.1
  35. npm http 304 https://registry.npmjs.org/parseurl/1.0.1
  36. npm http 304 https://registry.npmjs.org/accepts/1.0.0
  37. npm http 304 https://registry.npmjs.org/type-is/1.0.0
  38. npm http GET https://registry.npmjs.org/mime
  39. npm http GET https://registry.npmjs.org/send/0.1.4
  40. npm http GET https://registry.npmjs.org/mime
  41. npm http GET https://registry.npmjs.org/negotiator
  42. npm http 304 https://registry.npmjs.org/mime
  43. npm http 304 https://registry.npmjs.org/send/0.1.4
  44. npm http 304 https://registry.npmjs.org/negotiator
  45. npm http GET https://registry.npmjs.org/range-parser/0.0.4
  46. npm http GET https://registry.npmjs.org/fresh/0.2.0
  47. npm http 304 https://registry.npmjs.org/mime
  48. npm http 304 https://registry.npmjs.org/range-parser/0.0.4
  49. npm http 304 https://registry.npmjs.org/fresh/0.2.0
  50. express@4.0.0 node_modules/express
  51. ├── [email protected]
  52. ├── [email protected]
  53. ├── [email protected]
  54. ├── [email protected]
  55. ├── [email protected]
  56. ├── [email protected]
  57. ├── [email protected]
  58. ├── [email protected]
  59. ├── [email protected]
  60. ├── [email protected]
  61. ├── [email protected]
  62. ├── [email protected]
  63. ├── [email protected]

y despues quiero comprobar y obtengo

Código BASH:
Ver original
  1. # express --version
  2. bash: express: no se encontró la orden
  #4 (permalink)  
Antiguo 15/04/2014, 17:32
Avatar de vick90  
Fecha de Ingreso: abril-2010
Mensajes: 144
Antigüedad: 9 años, 7 meses
Puntos: 14
Respuesta: Problema para trabajas con Express

ese comando no existe para ver la version usa este comando
Código Javascript:
Ver original
  1. express -V
con la V mayuscula
Saludos
  #5 (permalink)  
Antiguo 15/04/2014, 20:51
 
Fecha de Ingreso: septiembre-2010
Mensajes: 1.852
Antigüedad: 9 años, 2 meses
Puntos: 6
Respuesta: Problema para trabajas con Express

vick90 gracias por responder, hice lo que me indicaste pero continua igual

Código BASH:
Ver original
  1. # express -V
  2. bash: express: no se encontró la orden
  #6 (permalink)  
Antiguo 16/04/2014, 11:02
Avatar de gildus  
Fecha de Ingreso: agosto-2003
Mensajes: 1.495
Antigüedad: 16 años, 4 meses
Puntos: 105
Respuesta: Problema para trabajas con Express

Holas,

Una forma de ver la version del express es ver el archivo package.json y alli mismo te dira que version de express instalastes para tu proyecto node, por ejemplo:
Código Javascript:
Ver original
  1. "dependencies": {
  2.     "express": "3.0.x",
  3.     "jade": "0.27.x"
  4. }

Y otra forma es con el comando:

Código Javascript:
Ver original
  1. $ npm list

O sino con el comando:

Código Javascript:
Ver original
  1. $ npm ls

Saludos,
__________________
.: Gildus :.
  #7 (permalink)  
Antiguo 16/04/2014, 11:16
 
Fecha de Ingreso: septiembre-2010
Mensajes: 1.852
Antigüedad: 9 años, 2 meses
Puntos: 6
Respuesta: Problema para trabajas con Express

Gildus hice lo que me indicaste

Código BASH:
Ver original
  1. # npm ls
  2. /root
  3.  express@4.0.0 -> /usr/lib/node_modules/express

por que si quiero crear el esquelo de una aplicacion no funciona?

Código BASH:
Ver original
  1. # express testApp
  2. bash: express: no se encontró la orden
  #8 (permalink)  
Antiguo 16/04/2014, 11:37
Avatar de vick90  
Fecha de Ingreso: abril-2010
Mensajes: 144
Antigüedad: 9 años, 7 meses
Puntos: 14
Respuesta: Problema para trabajas con Express

Es verdad lo acabo de comprobar y no funciona pero si te das cuenta cuando termina de instarlarse te da la version,
Código Javascript:
Ver original
  1. express@4.0.0 node_modules/express

Te marca error cuando ejecutas tu app ?
  #9 (permalink)  
Antiguo 16/04/2014, 11:38
Avatar de gildus  
Fecha de Ingreso: agosto-2003
Mensajes: 1.495
Antigüedad: 16 años, 4 meses
Puntos: 105
Respuesta: Problema para trabajas con Express

Pues tu consulta mas que todo era saber que version de express tienes instalado y como veras tienes la version 4 y eso es la respuesta.

Ahora la otra pregunta o no se si sera otro post, pero bueno, la pregunta ahora seria: "Como creo un proyecto con express 4?".

Pues aqui tienes una excelente guia:

http://expressjs.com/guide.html


Me olvidaba, ten en cuenta que cuando instalas con el npm existe un parametro "g" que instala globalmente y no localmente y alli si lo que instales es reconocido en todo tu entorno de tu S.O.

No olvides que la solucion es leer, todo esta en esa guia.

Saludos,
__________________
.: Gildus :.

Etiquetas: express, javascript, node
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 08:46.